PublicApiCampaignAction
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/actions/{action} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"savedVersionId": "<string>",
"readinessVersion": "<string>",
"idempotencyKey": "<string>",
"confirmation": {
"token": "<string>",
"senderConnectorIds": [
"<string>"
],
"eligibleAudienceCount": 123,
"timezone": "<string>",
"sendWindowStart": "<string>",
"sendWindowEnd": "<string>",
"activeDays": [
"<string>"
],
"creditEstimateMin": 123,
"creditEstimateMax": 123,
"safeguards": [
"<string>"
],
"consequence": "<string>",
"testOverride": true
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
savedVersionId: '<string>',
readinessVersion: '<string>',
idempotencyKey: '<string>',
confirmation: {
token: '<string>',
senderConnectorIds: ['<string>'],
eligibleAudienceCount: 123,
timezone: '<string>',
sendWindowStart: '<string>',
sendWindowEnd: '<string>',
activeDays: ['<string>'],
creditEstimateMin: 123,
creditEstimateMax: 123,
safeguards: ['<string>'],
consequence: '<string>',
testOverride: true
}
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/actions/{action}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"operationId": "<string>",
"consequence": "<string>",
"replayed": true,
"attempt": {
"id": "<string>",
"status": "<string>",
"testOverrideUsed": true,
"failureCode": "<string>"
},
"receiptId": "<string>",
"summary": {
"liveStatus": "<string>",
"audience": {
"eligibleCount": 123
},
"schedule": {
"timezone": "<string>",
"sendWindowStart": "<string>",
"sendWindowEnd": "<string>",
"activeDays": [
"<string>"
]
},
"safeguards": [
"<string>"
],
"creditEstimate": {
"min": 123,
"max": 123
},
"testOverrideUsed": true,
"nextExecutionAt": "2023-11-07T05:31:56Z",
"nextAction": {
"key": "<string>",
"label": "<string>",
"consequence": "<string>"
},
"availableActions": [
{
"key": "<string>",
"label": "<string>",
"consequence": "<string>",
"permitted": true
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"operationId": "<string>",
"consequence": "<string>",
"replayed": true,
"attempt": {
"id": "<string>",
"status": "<string>",
"testOverrideUsed": true,
"failureCode": "<string>"
},
"receiptId": "<string>",
"summary": {
"liveStatus": "<string>",
"audience": {
"eligibleCount": 123
},
"schedule": {
"timezone": "<string>",
"sendWindowStart": "<string>",
"sendWindowEnd": "<string>",
"activeDays": [
"<string>"
]
},
"safeguards": [
"<string>"
],
"creditEstimate": {
"min": 123,
"max": 123
},
"testOverrideUsed": true,
"nextExecutionAt": "2023-11-07T05:31:56Z",
"nextAction": {
"key": "<string>",
"label": "<string>",
"consequence": "<string>"
},
"availableActions": [
{
"key": "<string>",
"label": "<string>",
"consequence": "<string>",
"permitted": true
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Campaigns
PublicApiCampaignAction
POST /api/v1/organizations//workspaces//campaigns//actions/
POST
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
campaigns
/
{campaignId}
/
actions
/
{action}
PublicApiCampaignAction
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/actions/{action} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"savedVersionId": "<string>",
"readinessVersion": "<string>",
"idempotencyKey": "<string>",
"confirmation": {
"token": "<string>",
"senderConnectorIds": [
"<string>"
],
"eligibleAudienceCount": 123,
"timezone": "<string>",
"sendWindowStart": "<string>",
"sendWindowEnd": "<string>",
"activeDays": [
"<string>"
],
"creditEstimateMin": 123,
"creditEstimateMax": 123,
"safeguards": [
"<string>"
],
"consequence": "<string>",
"testOverride": true
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
savedVersionId: '<string>',
readinessVersion: '<string>',
idempotencyKey: '<string>',
confirmation: {
token: '<string>',
senderConnectorIds: ['<string>'],
eligibleAudienceCount: 123,
timezone: '<string>',
sendWindowStart: '<string>',
sendWindowEnd: '<string>',
activeDays: ['<string>'],
creditEstimateMin: 123,
creditEstimateMax: 123,
safeguards: ['<string>'],
consequence: '<string>',
testOverride: true
}
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/actions/{action}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"operationId": "<string>",
"consequence": "<string>",
"replayed": true,
"attempt": {
"id": "<string>",
"status": "<string>",
"testOverrideUsed": true,
"failureCode": "<string>"
},
"receiptId": "<string>",
"summary": {
"liveStatus": "<string>",
"audience": {
"eligibleCount": 123
},
"schedule": {
"timezone": "<string>",
"sendWindowStart": "<string>",
"sendWindowEnd": "<string>",
"activeDays": [
"<string>"
]
},
"safeguards": [
"<string>"
],
"creditEstimate": {
"min": 123,
"max": 123
},
"testOverrideUsed": true,
"nextExecutionAt": "2023-11-07T05:31:56Z",
"nextAction": {
"key": "<string>",
"label": "<string>",
"consequence": "<string>"
},
"availableActions": [
{
"key": "<string>",
"label": "<string>",
"consequence": "<string>",
"permitted": true
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"operationId": "<string>",
"consequence": "<string>",
"replayed": true,
"attempt": {
"id": "<string>",
"status": "<string>",
"testOverrideUsed": true,
"failureCode": "<string>"
},
"receiptId": "<string>",
"summary": {
"liveStatus": "<string>",
"audience": {
"eligibleCount": 123
},
"schedule": {
"timezone": "<string>",
"sendWindowStart": "<string>",
"sendWindowEnd": "<string>",
"activeDays": [
"<string>"
]
},
"safeguards": [
"<string>"
],
"creditEstimate": {
"min": 123,
"max": 123
},
"testOverrideUsed": true,
"nextExecutionAt": "2023-11-07T05:31:56Z",
"nextAction": {
"key": "<string>",
"label": "<string>",
"consequence": "<string>"
},
"availableActions": [
{
"key": "<string>",
"label": "<string>",
"consequence": "<string>",
"permitted": true
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
FirstSales developer API key bearer token (fs-key-*).
Path Parameters
Available options:
start, pause, resume Body
application/json
Response
Successful response
Required string length:
1 - 200Available options:
LAUNCHED, ALREADY_LAUNCHED Minimum string length:
1Show child attributes
Show child attributes
Required string length:
1 - 200Pattern:
^[A-Za-z0-9:_-]+$Show child attributes
Show child attributes
⌘I